#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "Engine/HitResult.h"
#include "K41FXInterface.generated.h"

UINTERFACE(Blueprintable)
class THEK41_API UK41FXInterface : public UInterface
{
	GENERATED_BODY()
};

class THEK41_API IK41FXInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnGutsAttackHitObstacle(const FHitResult& hitResult);

};
